Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 153888 - "Redirection limit" error dialog should implicate cookie blocking
: "Redirection limit" error dialog should implicate cookie blocking
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: Trunk
: x86 Windows 2000
: P3 normal (vote)
: mozilla1.3alpha
Assigned To: Darin Fisher
: Patrick McManus [:mcmanus]
Depends on:
  Show dependency treegraph
Reported: 2002-06-24 06:36 PDT by fouad murr
Modified: 2005-07-12 05:57 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

result of trying to change password (51.36 KB, image/jpeg)
2002-08-21 12:15 PDT, Theblueman
no flags Details
patch: add "cookie blurb" to redirection error dialog (1.50 KB, patch)
2002-11-23 21:04 PST, Darin Fisher
adamlock: review+
rpotts: superreview+
Details | Diff | Splinter Review

Description fouad murr 2002-06-24 06:36:03 PDT
sign into your hotmail e-mail account and try to change your password through
the options directory, you would find yourself in front of a translation error
with no apparent reason, where all tags are present instead of translated html.
Comment 1 Matthias Versen [:Matti] 2002-07-26 19:29:55 PDT
Build ID ?
Do you see this with mozilla1.1b ?
Comment 2 Theblueman 2002-08-21 12:15:43 PDT
Created attachment 96205 [details]
result of trying to change password

Received error while trying to change password or personal information on
Comment 3 Peter Bartecki 2002-08-26 22:47:02 PDT
Well it's not the Mozilla's fault. Microsoft tries to make your day harder if
you do not follow what they want you to. One thing they want from you is to use
The Software. Mozilla unfortunately is not on the list. 
 You have to change your password in other browser (I do not know The List) or
switch to any other free mail account.

This bug is probably invalid.

PS. You may try to fool Hotmail using maybe this will
work? I think Multizilla has a way of changing your browser userAgent too.
Comment 4 Benjamin Smedberg [:bsmedberg] 2002-10-08 20:01:50 PDT
Build 20020930/win2k

I have a different problem when I try to change my password.  I log into
Hotmail, go to Options, and click "Change Password" -- then I get the dialog box
"Redirection limit for this URL exceeded".  The same thing happens if I go
directly to and try to change the password.

is there a pref to change the redirection limit (what is the default)?  Might we
up the default a bit?

Networking: HTTP for the moment... maybe evagelism later? (haha)
Comment 5 Darin Fisher 2002-10-08 20:18:02 PDT
the limit has just been increased from 10 to 20 (on account of;
please try a newer build.  if you suspect 20 redirects is still insufficient,
then please try increasing the value of "network.http.redirection-limit"

the usual problem, however, is that you have too restrictive of a cookies
setting.  often a server will try to set a cookie along with a redirection.  if
the cookie is not set, then the server will try to set the cookie again via a
redirection.  this usually repeats until the browser's redirection limit is
reached.  so, please try this out with the default cookie preferences / a new
Comment 6 Benjamin Smedberg [:bsmedberg] 2002-10-15 22:06:37 PDT
OK, I had inadvertantly blocked cookies from, and un-blocking them
fixed this problem.  Can we add a note to the dialog box: "This may be caused by
cookies that are blocked."
Comment 7 Darin Fisher 2002-10-15 23:10:54 PDT
that sounds like a great idea to me.. thx!
Comment 8 Darin Fisher 2002-11-23 21:04:17 PST
Created attachment 107262 [details] [diff] [review]
patch: add "cookie blurb" to redirection error dialog
Comment 9 Darin Fisher 2002-11-23 21:20:40 PST
added testcase:

this URL will fail to load w/ a redirection limit if is prevented
from setting cookies.  here's what the contents of this CGI script looks like:

  if [ "x$HTTP_COOKIE" = "xx=1" ]; then
    echo 'content-type: text/plain'
    echo ''
    echo 'succeeded: '$HTTP_COOKIE
    echo 'Status: 302 Temporary Redirect'
    echo 'Location: redirloop.cgi'
    echo 'Set-cookie: x=1'
    echo ''
Comment 10 Adam Lock 2002-11-25 07:49:52 PST
Comment on attachment 107262 [details] [diff] [review]
patch: add "cookie blurb" to redirection error dialog

Comment 11 rpotts (gone) 2002-11-25 19:00:08 PST
Comment on attachment 107262 [details] [diff] [review]
patch: add "cookie blurb" to redirection error dialog
Comment 12 Darin Fisher 2002-11-25 23:10:12 PST
Comment 13 Jay Davis 2002-11-26 13:29:44 PST
This fix is definitely going to help a lot of users not get stuck at a dead end,
but I wonder if there's a way to say specifically that a certain cookie is not
being accepted and may be the cause.  Just wondering....
Comment 14 John Unruh 2002-12-03 12:46:04 PST
Comment 15 benc 2003-03-21 11:48:37 PST

John, please put the platform and build you verified this on. Bugs 1700039 and
198415 suggest this error message is not working correctly.

Do we have a test case set up internally that forces this dialog to display?

I have seen a lot of bugs which discuss this re-direction problem, and people do
not report seeing this new, more descriptive error message.

Comment 16 Samir Gehani 2003-04-28 17:14:16 PDT
adt: nsbeta1-
Comment 17 jeff eidsness 2003-05-29 14:34:41 PDT
What if cookies can be reasonably eliminated from the equation?

I am accepting all cookies, i've deleted all my cookies, and can use cookies
jusr fine in any other case (in fact session vars are being stored there, and
those work swell.).

I am using:

Mozilla 1.3.1:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030425

In debian (woody) - everything updated yesterday.

this just started happening after upgrading from mozilla 1.0.0 yesterday

i am 99.8% sure it's not a cookie problem :/
Comment 18 jeff eidsness 2003-05-29 14:39:54 PDT
never mind me :p

i just talked to the person developing the site and they found the problem was a
script getting stuck in a redirect loop, causeing this problem. please delete my
comments if possible.

sorry :(
Comment 19 benc 2003-06-05 08:37:56 PDT
RESOLVED/FIXED: back to where darin put it.
Comment 20 Randell Jesup [:jesup] 2003-06-07 00:37:11 PDT
Benc - did you mean to put this back to Resolved/Fixed?
Comment 21 benc 2003-06-16 08:03:07 PDT
Yes, I should have changed the status.
Comment 22 Dan Trenner 2005-07-12 05:57:24 PDT
I came here several weeks ago with a problem with the same bug, but on a
different URL. As I do a Google search on the Internet for: 

"Redirection limit for this URL exceeded. Unable to load the requested page.
This may be caused by cookies that are blocked." 

I see a lot of discussion going on. Apparently none of it is going on here. Now
all of a sudden I have another URL I cannot access. Again, this doesn't happen
with IE. Only Firefox. There appears to be no interest here for any solution. I
know this bug is mentioned somewhere else, but I can't find it, and I find this
reporting site very tedious. For example, I've "voted" for this bug three times,
but nothing has ever happened with that. I'm only asuming that voting for a bug
means the more votes the more attention the engineers would give it. I wonder
what will happen when 90% of the FireFox users will get the message that:
"Redirection limit for this URL exceeded. Unable to load the requested page.
This may be caused by cookies that are blocked." All I'm trying to do is visit
some web sites that are widely reachable by other browsers and people. I'm no
geek and find this overwhelming that I can't access several sites. The last one
was which I was trying to access from Google News Page. ???

Here's another problem. The radio dial just below this comment box already has a
dot in the "Leave as RESOLVED FIXED."  Of course, I would un select that ... if
only I could. I'm blocked. So, really don't understand this reporting site or
its value. But what have I to lose? 


Note You need to log in before you can comment on or make changes to this bug.